Bug 65575 - adding a user does not let you specify NO SHELL
adding a user does not let you specify NO SHELL
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-users (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Depends On:
  Show dependency treegraph
Reported: 2002-05-27 16:18 EDT by Joe Acosta
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-31 22:09:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Acosta 2002-05-27 16:18:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc2) Gecko/20020510

Description of problem:
Add a user call it named.  The dialog does not let you specify /bin/nologin

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. add a new user
2. call it named (nobody, foo, xfs...etc)
3. try to change the login shell to /bin/nologin or /bin/false (like xfs)

Actual Results:  you cannot set the user to nologin

also it sets up a home directory path but you can change this

also it requires a password and should not

Expected Results:  It should let you enter in /bin/nologin for users that you do
not want an actual login for. I.E. nobody, named, xfs, foo, etc

Additional info:

in its current stat this is a worthless tool and should be fixed or replaced.

workaround is to user useradd..............
Comment 1 Brent Fox 2002-06-27 18:04:47 EDT
Actually, redhat-config-users queries libuser to see what shells are available.

        self.shells = self.parent.ADMIN.getUserShells()
        default = '/bin/bash'
        if default in self.shells:

In 7.2 and 7.3, libuser did not return /bin/nologin as a valid shell choice, but
it currently does in our latest internal trees.  Actually, it's /sbin/nologin. 
But at any rate, the behavior in the next release should do what you want.  You
should be able to grab the latest packages out of Rawhide if you don't want to
wait for the next release.  Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.